For a complete page index, fetch https://developer.close.com/llms.txt

# Fetch a single bulk email object

GET https://api.close.com/api/v1/bulk_action/email/{id}/

Reference: https://developer.close.com/api/resources/bulk-actions/email/get

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /bulk_action/email/{id}/:
    get:
      operationId: get
      summary: Fetch a single bulk email object
      tags:
        - subpackage_bulkActionsEmail
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: _fields
          in: query
          description: Comma-separated list of fields to include in the response.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkEmailAction'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    BulkEmailContactPreference:
      type: string
      enum:
        - lead
        - contact
        - all
      title: BulkEmailContactPreference
    BulkActionStatus:
      type: string
      enum:
        - created
        - loading
        - processing
        - done
        - paused
        - resuming
        - error
      title: BulkActionStatus
    BulkEmailAction:
      type: object
      properties:
        contact_preference:
          oneOf:
            - $ref: '#/components/schemas/BulkEmailContactPreference'
            - type: 'null'
        created_by:
          type:
            - string
            - 'null'
        date_created:
          type:
            - string
            - 'null'
          format: date-time
        date_updated:
          type:
            - string
            - 'null'
          format: date-time
        email_account_id:
          type:
            - string
            - 'null'
        id:
          type: string
        n_leads:
          type:
            - integer
            - 'null'
        n_leads_processed:
          type: integer
        n_objects:
          type:
            - integer
            - 'null'
        n_objects_processed:
          type: integer
        organization_id:
          type: string
        query:
          type:
            - string
            - 'null'
        results_limit:
          type:
            - integer
            - 'null'
        s_query:
          type: object
          additionalProperties:
            description: Any type
        send_done_email:
          type: boolean
        sender:
          type:
            - string
            - 'null'
        sort:
          type: array
          items:
            type: object
            additionalProperties:
              description: Any type
        status:
          oneOf:
            - $ref: '#/components/schemas/BulkActionStatus'
            - type: 'null'
        template_id:
          type:
            - string
            - 'null'
        updated_by:
          type:
            - string
            - 'null'
      required:
        - contact_preference
        - created_by
        - date_created
        - date_updated
        - email_account_id
        - id
        - n_leads
        - n_leads_processed
        - n_objects
        - n_objects_processed
        - organization_id
        - query
        - results_limit
        - s_query
        - send_done_email
        - sender
        - sort
        - status
        - template_id
        - updated_by
      title: BulkEmailAction
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python bulk_actions.email_get_example
import requests

url = "https://api.close.com/api/v1/bulk_action/email/id/"

response = requests.get(url, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript bulk_actions.email_get_example
const url = 'https://api.close.com/api/v1/bulk_action/email/id/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go bulk_actions.email_get_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/bulk_action/email/id/"

	req, _ := http.NewRequest("GET", url, nil)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby bulk_actions.email_get_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/bulk_action/email/id/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")

response = http.request(request)
puts response.read_body
```

```java bulk_actions.email_get_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.close.com/api/v1/bulk_action/email/id/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .asString();
```

```php bulk_actions.email_get_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.close.com/api/v1/bulk_action/email/id/', [
  'headers' => [
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp bulk_actions.email_get_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/bulk_action/email/id/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.GET);

IRestResponse response = client.Execute(request);
```